public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Chris Reffett" <creffett@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/xiphos/
Date: Sun,  3 Jan 2016 15:06:18 +0000 (UTC)	[thread overview]
Message-ID: <1451833555.802ef2292be0775d0103dfaf920d8e2d5d41143f.creffett@gentoo> (raw)

commit:     802ef2292be0775d0103dfaf920d8e2d5d41143f
Author:     Chris Reffett <creffett <AT> gentoo <DOT> org>
AuthorDate: Sun Jan  3 15:05:20 2016 +0000
Commit:     Chris Reffett <creffett <AT> gentoo <DOT> org>
CommitDate: Sun Jan  3 15:05:55 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=802ef229

app-text/xiphos: Version bump

Package-Manager: portage-2.2.26

 app-text/xiphos/Manifest            |  1 +
 app-text/xiphos/xiphos-4.0.4.ebuild | 89 +++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/app-text/xiphos/Manifest b/app-text/xiphos/Manifest
index 177535e..1126e42 100644
--- a/app-text/xiphos/Manifest
+++ b/app-text/xiphos/Manifest
@@ -1,2 +1,3 @@
 DIST xiphos-3.1.5.tar.gz 6720533 SHA256 2887426908e269f25d2d191be445112027b2b7e80356823d4942b1803a359d8c SHA512 2183125a1076660cf0448ee5f2df3ded9ee58c389716a8ceefe0185989d6c8267f19082add3fa8a7a9da57693f82b47e26c0fe77154e961b84234afbdf5b3a1d WHIRLPOOL 6a66671ab99cc62f0beb6bdfffcec2ff1048cae66ad6304fd788d005c0d0bf81273856af6373eba0bdf5fd6df0176894e1a99fe633fcd1fbad46c78b89848bbf
 DIST xiphos-3.2.2.tar.gz 7088153 SHA256 2326efd2bad1b27d6c4231cba68077f71f91ee31f73bdada1cbe2c3bd11eadc6 SHA512 14dd33f99217de4062e6ff6c4030fce748f57bc7e4a984aa7927acb7779f3720da21a51eb2943d5be93eac702dcc32b023f9e39a91acb7182ce59b3c90941dbf WHIRLPOOL 488f3fb65b591a9122cc8fc8a1c118cb461ce1890205d53d5957633bb8ff240166616e4de3169afccf5799fb2db40e1e90ac8cef61f3f133e135dd9578227de8
+DIST xiphos-4.0.4-20150830.tar.gz 8040173 SHA256 413bb8acb444946ccde1fb9fcfa3ff4bdb622cb56995b557f3215fab42193f20 SHA512 337503ee4cc6139ec8724266f3c9c0ce5d17518c48f7aab03ea8213165054854c8dd7317ff9e1b9097ece12292b52f1c8002684c00c5a7b43c5b4810edd6ecda WHIRLPOOL a1795b6fe5c978fcfc2c1f17f48844797bcf6e07a272181168717807dfd0a7b6e9359380a21fa330c539f1197c54c7e7293457f7733ab55d9dcca274ba044991

diff --git a/app-text/xiphos/xiphos-4.0.4.ebuild b/app-text/xiphos/xiphos-4.0.4.ebuild
new file mode 100644
index 0000000..b5fbabd
--- /dev/null
+++ b/app-text/xiphos/xiphos-4.0.4.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit flag-o-matic gnome2-utils python-single-r1 toolchain-funcs
+
+MY_PV="${PV}-20150830"
+MY_P="${PN}-${MY_PV}"
+DESCRIPTION="A bible study frontend for Sword (formerly known as GnomeSword)"
+HOMEPAGE="http://xiphos.org/"
+SRC_URI="mirror://sourceforge/gnomesword/${MY_P}.tar.gz"
+
+LICENSE="GPL-2 FDL-1.1 LGPL-2 MIT MPL-1.1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="dbus debug"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+	>=app-text/sword-1.7.4
+	>=dev-libs/glib-2[${PYTHON_USEDEP}]
+	dev-libs/libxml2[${PYTHON_USEDEP}]
+	gnome-base/gconf[${PYTHON_USEDEP}]
+	gnome-extra/gtkhtml:4.0
+	>=gnome-extra/libgsf-1.14
+	net-libs/webkit-gtk:3
+	x11-libs/gtk+:3
+	dbus? ( dev-libs/dbus-glib )
+"
+DEPEND="${RDEPEND}
+	app-text/docbook2X
+	app-text/gnome-doc-utils[${PYTHON_USEDEP}]
+	app-text/rarian
+	dev-libs/libxslt[${PYTHON_USEDEP}]
+	dev-util/intltool
+	net-libs/biblesync
+	virtual/pkgconfig
+	sys-devel/gettext
+"
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	sed -i \
+		-e '/FLAGS_DEBUG/s:-g:-Wall:' \
+		-e '/FLAGS_RELEASE/s:-O2:-Wall:' \
+		wscript || die
+}
+
+src_configure() {
+	append-cppflags -DNO_SWORD_SET_RENDER_NOTE_NUMBERS=1
+
+	tc-export AR CC CPP CXX RANLIB
+
+	CCFLAGS="${CFLAGS}" \
+	LINKFLAGS="${LDFLAGS}" \
+	SGML2MAN="$(type -P docbook2man.pl)" \
+		./waf -v \
+			--prefix=/usr \
+			--gtk=3 \
+			--debug-level=$(use debug && echo debug || echo release) \
+			$(use dbus || echo --disable-dbus) \
+			configure || die
+}
+
+src_compile() {
+	./waf -v build || die
+}
+
+src_install() {
+	./waf -v --destdir="${D}" install || die
+
+	doman ${PN}.1
+	dodoc AUTHORS ChangeLog README RELEASE-NOTES TODO
+
+	dodoc Xiphos.ogg
+	docompress -x /usr/share/doc/${PF}/Xiphos.ogg
+
+	rm -rf "${ED}"/usr/share/doc/${PN}
+}
+
+pkg_preinst() {	gnome2_icon_savelist; }
+pkg_postinst() { gnome2_icon_cache_update; }
+pkg_postrm() { gnome2_icon_cache_update; }


             reply	other threads:[~2016-01-03 15:06 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-01-03 15:06 Chris Reffett [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-05-24 23:44 [gentoo-commits] repo/gentoo:master commit in: app-text/xiphos/ Chris Reffett
2016-05-25 23:47 Chris Reffett
2017-01-10 14:56 Agostino Sarubbo
2017-01-10 23:14 Chris Reffett
2017-08-21  0:55 Chris Reffett
2017-12-29 18:40 Mikle Kolyada
2017-12-30  2:26 Chris Reffett
2018-06-20  1:21 Chris Reffett
2018-08-21  5:26 Mart Raudsepp
2019-02-28  2:06 Chris Reffett
2020-05-01 10:02 Mart Raudsepp
2020-06-27 20:45 Andreas K. Hüttel
2020-07-27 14:43 Marek Szuba
2020-07-27 18:37 Marek Szuba
2020-09-18 10:36 Marek Szuba
2022-04-12 21:04 Sam James
2022-05-29 22:07 Marek Szuba
2022-06-30  7:01 Agostino Sarubbo
2022-06-30  9:02 Marek Szuba
2023-02-24 16:50 Marek Szuba
2023-05-19  8:52 Marek Szuba
2023-05-19  8:52 Marek Szuba

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1451833555.802ef2292be0775d0103dfaf920d8e2d5d41143f.creffett@gentoo \
    --to=creffett@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox